package com.okworx.ilcd.validation.tool.resource;

import com.okworx.ilcd.validation.tool.rcp.Activator;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.resource.LocalResourceManager;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.ImageData;

public enum Icon {
	SUCCESS("dialog-clean.png"), //$NON-NLS-1$
	ERROR("dialog-no-2.png"), //$NON-NLS-1$
	WARNING("warning_obj.gif"), //$NON-NLS-1$
	INFO("dialog-information-4.png"), //$NON-NLS-1$
	ADD_FILE("list-add-5.png"), //$NON-NLS-1$
	REMOVE_FILE("list-remove-5.png"), //$NON-NLS-1$
	CLEAR_LIST("edit-clear-list.png"), //$NON-NLS-1$
	START("arrow-right-3.png"), //$NON-NLS-1$
	STOP("dialog-cancel-3.png"), //$NON-NLS-1$
	DROP("DropIcon.png"), //$NON-NLS-1$
	ILCD("ILCDValidator-128.png"); //$NON-NLS-1$
	
	private ImageDescriptor imageDescriptor;
	private Icon(String path) {
		this.imageDescriptor = Activator.getImageDescriptor(path);
	}
	
	public Image getImage(LocalResourceManager resourceManager) {
		return resourceManager.createImage(imageDescriptor);
	}
	
	public Image getImage(LocalResourceManager resourceManager, int width, int height) {
		ImageData imageData = imageDescriptor.getImageData().scaledTo(width, height);
		ImageDescriptor scaledDescriptor = ImageDescriptor.createFromImageData(imageData);
		
		return resourceManager.createImage(scaledDescriptor);
	}
}